accrue.analysis.pointer

## Class StmtSpecialMethodCall

- java.lang.Object
- - accrue.analysis.pointer.PointsToStmt
  - - accrue.analysis.pointer.StmtProcedureCall
    - - accrue.analysis.pointer.StmtSpecialMethodCall

-     public class StmtSpecialMethodCall
      extends StmtProcedureCall

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class accrue.analysis.pointer.StmtProcedureCall

      `StmtProcedureCall.ExceptionHandlerPointsToGraphNode`

  - ### Field Summary

    - ### Fields inherited from class accrue.analysis.pointer.StmtProcedureCall

      `callSiteNode`

    - ### Fields inherited from class accrue.analysis.pointer.PointsToStmt

      `origin`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StmtSpecialMethodCall(ReferenceVariable result, ReferenceVariable receiver, CallSiteNode callSiteNode, polyglot.types.MethodInstance mi, java.util.List<ReferenceVariable> actuals, java.util.List<StmtRegistrar.ExceptionHandlerReferenceVariable> exceptionHandlers, java.util.Map<polyglot.types.Type,ReferenceVariable> procedureThrows, polyglot.util.Position origin, polyglot.types.CodeInstance code)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `process(CContext callerContext, PointsToGraph g, StmtRegistrar registrar, HeapAbstractionFactory af, PointsToEngine.StmtAndContext sac)` Add appropriate edges to the graph g given the context for the LocalNodes and ThisNode.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class accrue.analysis.pointer.StmtProcedureCall

      `addEdgesForCall, convert, convert, convert2`

    - ### Methods inherited from class accrue.analysis.pointer.PointsToStmt

      `equals, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StmtSpecialMethodCall

          public StmtSpecialMethodCall(ReferenceVariable result,
                               ReferenceVariable receiver,
                               CallSiteNode callSiteNode,
                               polyglot.types.MethodInstance mi,
                               java.util.List<ReferenceVariable> actuals,
                               java.util.List<StmtRegistrar.ExceptionHandlerReferenceVariable> exceptionHandlers,
                               java.util.Map<polyglot.types.Type,ReferenceVariable> procedureThrows,
                               polyglot.util.Position origin,
                               polyglot.types.CodeInstance code)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in class `PointsToStmt`

    - #### process

          public boolean process(CContext callerContext,
                        PointsToGraph g,
                        StmtRegistrar registrar,
                        HeapAbstractionFactory af,
                        PointsToEngine.StmtAndContext sac)

      Description copied from class: `PointsToStmt`
      Add appropriate edges to the graph g given the context for the LocalNodes and ThisNode. Return true if and only if changes were made to the graph
      Specified by:
        `process` in class `PointsToStmt`